package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.flow.entity.RecordAuth;
import com.lz.modules.flow.model.Auth;

import java.util.List;
import java.util.Map;

/**
* <p>
* 审批权限表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-18
*/
public interface RecordAuthService extends IService<RecordAuth> {



	RecordAuth selectRecordAuthById(Long id);


	Long insertRecordAuth(RecordAuth recordAuth);


	int updateRecordAuthById(RecordAuth recordAuth);


	int updateCoverRecordAuthById(RecordAuth recordAuth);


	int deleteRecordAuthById(Long id);


	List<RecordAuth> selectAuthInfo(Long roldId);

	Map<Long ,Long >  selectRoleIdByStaffRoleInfo(String flowStaffIdRole);

    Auth getAuth(List<RecordAuth> listAuth);

    String selectByStaffId(Long staffId);

	List<RecordAuth> selectAll();

	Long getRoleIdByStaffRoleInfo(String flowStaffIdRole,Long approvalStaffId);

	Map<String, Integer> selectAuthByRoleIds(List<Long> roleIds);

	Map<String, Integer> selectAuthByIds(List<Long> authIds);
}